Retrieve a list of accounts.

Retrieve a list of accounts.

Query Parameters
  • includeInactive
    Type: boolean

    Whether to include inactive accounts: true = Return active and inactive accounts, false = Only return active accounts.

Headers
  • X-Request-ID
    Type: string
    max length:  
    64

    The unique identifier of the request. This will be used for identifying the request using updates. It is recommended that this be set to a globally unique identifier (GUID), 64 characters maximum.

Responses
  • application/json
Request Example for get/accounts/v1
curl https://test-oms-api.openmarkets.com.au/accounts/v1 \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
[
  {
    "accountCode": "111888",
    "accountName": "Mr James Alan Smith",
    "accountDesignation": ""
  },
  {
    "accountCode": "111889",
    "accountName": "Smith Family Super Fund",
    "accountDesignation": "SUPER A/C"
  }
]